// LinkedList.cpp: implementation of the CLinkedList class.
//
//////////////////////////////////////////////////////////////////////
#include <iostream.h>
#include "LinkedList.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CLinkedList::CLinkedList()
{
	head = NULL;
}

CLinkedList::~CLinkedList()
{

}

void CLinkedList::InsertF(int item)
{
	element *n;
	n = new element;
	n->num = item;

	if (head == NULL)
		n->next = NULL;
	else
		n->next = head;

	head = n;
}

int CLinkedList::DeleteTail(int *item)
{
	element* p;
	p = head;

	//尡 °
	if ( p == NULL)
		return -1;

	//尡 ϳ 
	else if (p->next == NULL)
	{
		*item = p->num;
		delete p;
		return 0;
	}
	else
	{
		while(p->next->next != NULL)
			p = p->next;
		*item = p->next->num;
		p = p->next;
		delete p;
	}

	return 0;
}

int CLinkedList::DeleteFront(int *item)
{
	element* p;
	p = head;

	//尡 °
	if ( p == NULL)
		return -1;

	head = p->next;
	*item = p->num;
	delete p;

	return 0;
}